<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/UniversalTemperatureSource/UniversalTemperatureSourceLambdaBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dc0/_universal_temperature_source_lambda_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UniversalTemperatureSourceLambdaBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html#a13441a2a744b869ff2f18c9934094f9a">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dfc/class_universal_temperature_source_lambda_base.html">UniversalTemperatureSourceLambdaBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#ad7113658f403c94339619d751873b782">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#ad7113658f403c94339619d751873b782">HEAT_THROUGH_AIR_COEF</a> = 0.003;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a7f8e3af776fa4caea3438c4b5160f4a8">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a7f8e3af776fa4caea3438c4b5160f4a8">UniversalTemperatureSourceLambdaBase</a>() {};</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#af15628229aac9d5193ea10a8a9e726e4">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#af15628229aac9d5193ea10a8a9e726e4">~UniversalTemperatureSourceLambdaBase</a>() {};</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a5e59b6e6e616fa35088526d41d27a8da">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a5e59b6e6e616fa35088526d41d27a8da">Execute</a>(<a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> pSettings, UniversalTemperatureSourceResult resultValues) {};</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a93cfd00b07e53b67443c51d50bc18e7f">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a93cfd00b07e53b67443c51d50bc18e7f">DryItemsInVicinity</a>(<a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> pSettings)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordtype">float</span> distance;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Object&gt;</a> nearestObjects = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Object&gt;</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos = pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a017eb94f472ab0dc53a8f8c7e4eb0c0d">m_Position</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span> (pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#ad1b055fe3005307718cd77b2a51e24be">m_Parent</a> != null)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            pos = pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#ad1b055fe3005307718cd77b2a51e24be">m_Parent</a>.GetPosition();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a04058e84b0a2d01db270c969608f8895">GetObjectsAtPosition</a>(pos, pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">m_RangeMax</a>, nearestObjects, null);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; nearestObjects.Count(); i++)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> nearestEnt = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(nearestObjects.Get(i));</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">if</span> (nearestEnt &amp;&amp; nearestEnt.HasWetness() &amp;&amp; nearestEnt != pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#ad1b055fe3005307718cd77b2a51e24be">m_Parent</a> &amp;&amp; nearestEnt.GetParent() == null)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                <span class="keywordtype">float</span> wetness = nearestEnt.GetWet();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <span class="keywordflow">if</span> (wetness &gt; 0)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                    distance = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">Distance</a>(nearestEnt.GetPosition(), pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#a017eb94f472ab0dc53a8f8c7e4eb0c0d">m_Position</a>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    distance = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(distance, 0.1); <span class="comment">//min distance cannot be 0 (division by zero)</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    wetness = wetness * (<a class="code hl_variable" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#ad7113658f403c94339619d751873b782">HEAT_THROUGH_AIR_COEF</a> / distance);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    wetness = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(wetness, nearestEnt.GetWetMin(), nearestEnt.GetWetMax());</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    nearestEnt.AddWet(-wetness);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>}</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="keyword">class </span>UniversalTemperatureSourceLambdaConstant : <a class="code hl_class" href="../../da/dfc/class_universal_temperature_source_lambda_base.html">UniversalTemperatureSourceLambdaBase</a></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>{</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a5e59b6e6e616fa35088526d41d27a8da">Execute</a>(<a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> pSettings, UniversalTemperatureSourceResult resultValues)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html#ad471a3276f82d86e16239138cd546124">   48</a></span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        resultValues.m_Temperature = pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">m_TemperatureMax</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html#adcb220f0305b1a48d28c62cab0f1c862">   50</a></span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html#a03d65d51fa92ffb4843ed124b82aea09">   51</a></span>        <a class="code hl_function" href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a93cfd00b07e53b67443c51d50bc18e7f">DryItemsInVicinity</a>(pSettings);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>}</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html#a07d61bda05e111bc53a95833258ce4c4">   55</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d60/class_universal_temperature_source_lambda_engine.html">UniversalTemperatureSourceLambdaEngine</a> : <a class="code hl_class" href="../../da/dfc/class_universal_temperature_source_lambda_base.html">UniversalTemperatureSourceLambdaBase</a></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>{</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dc/d60/class_universal_temperature_source_lambda_engine.html#ab7d53fae240553eac6184dbb198fedf1">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d60/class_universal_temperature_source_lambda_engine.html#ab7d53fae240553eac6184dbb198fedf1">Execute</a>(<a class="code hl_class" href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a> pSettings, UniversalTemperatureSourceResult resultValues)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        resultValues.m_Temperature = pSettings.<a class="code hl_variable" href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">m_TemperatureMax</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>}</div>
<div class="ttc" id="aclass_c_game_html_a04058e84b0a2d01db270c969608f8895"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a04058e84b0a2d01db270c969608f8895">CGame::GetObjectsAtPosition</a></div><div class="ttdeci">proto native void GetObjectsAtPosition(vector pos, float radius, out array&lt; Object &gt; objects, out array&lt; CargoBase &gt; proxyCargos)</div><div class="ttdoc">Returns list of all objects in circle &quot;radius&quot; around position &quot;pos&quot;.</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html">UniversalTemperatureSourceLambdaBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00001">UniversalTemperatureSourceLambdaBase.c:2</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html_a5e59b6e6e616fa35088526d41d27a8da"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a5e59b6e6e616fa35088526d41d27a8da">UniversalTemperatureSourceLambdaBase::Execute</a></div><div class="ttdeci">void Execute(UniversalTemperatureSourceSettings pSettings, UniversalTemperatureSourceResult resultValues)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00008">UniversalTemperatureSourceLambdaBase.c:8</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html_a7f8e3af776fa4caea3438c4b5160f4a8"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a7f8e3af776fa4caea3438c4b5160f4a8">UniversalTemperatureSourceLambdaBase::UniversalTemperatureSourceLambdaBase</a></div><div class="ttdeci">void UniversalTemperatureSourceLambdaBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00005">UniversalTemperatureSourceLambdaBase.c:5</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html_a93cfd00b07e53b67443c51d50bc18e7f"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html#a93cfd00b07e53b67443c51d50bc18e7f">UniversalTemperatureSourceLambdaBase::DryItemsInVicinity</a></div><div class="ttdeci">void DryItemsInVicinity(UniversalTemperatureSourceSettings pSettings)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00010">UniversalTemperatureSourceLambdaBase.c:10</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html_ad7113658f403c94339619d751873b782"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html#ad7113658f403c94339619d751873b782">UniversalTemperatureSourceLambdaBase::HEAT_THROUGH_AIR_COEF</a></div><div class="ttdeci">const float HEAT_THROUGH_AIR_COEF</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00003">UniversalTemperatureSourceLambdaBase.c:3</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_base_html_af15628229aac9d5193ea10a8a9e726e4"><div class="ttname"><a href="../../da/dfc/class_universal_temperature_source_lambda_base.html#af15628229aac9d5193ea10a8a9e726e4">UniversalTemperatureSourceLambdaBase::~UniversalTemperatureSourceLambdaBase</a></div><div class="ttdeci">void ~UniversalTemperatureSourceLambdaBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00006">UniversalTemperatureSourceLambdaBase.c:6</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_engine_html"><div class="ttname"><a href="../../dc/d60/class_universal_temperature_source_lambda_engine.html">UniversalTemperatureSourceLambdaEngine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00055">UniversalTemperatureSourceLambdaBase.c:56</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_lambda_engine_html_ab7d53fae240553eac6184dbb198fedf1"><div class="ttname"><a href="../../dc/d60/class_universal_temperature_source_lambda_engine.html#ab7d53fae240553eac6184dbb198fedf1">UniversalTemperatureSourceLambdaEngine::Execute</a></div><div class="ttdeci">override void Execute(UniversalTemperatureSourceSettings pSettings, UniversalTemperatureSourceResult resultValues)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc0/_universal_temperature_source_lambda_base_8c_source.html#l00057">UniversalTemperatureSourceLambdaBase.c:57</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html">UniversalTemperatureSourceSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00001">UniversalTemperatureSource.c:2</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a017eb94f472ab0dc53a8f8c7e4eb0c0d"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a017eb94f472ab0dc53a8f8c7e4eb0c0d">UniversalTemperatureSourceSettings::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdoc">if the temperature generated is also set as Temperature Stat on Item itself</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00016">UniversalTemperatureSource.c:16</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_a5aedd8f55c240e57654e2c1865e63266"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#a5aedd8f55c240e57654e2c1865e63266">UniversalTemperatureSourceSettings::m_RangeMax</a></div><div class="ttdeci">float m_RangeMax</div><div class="ttdoc">range where the full temperature is given to receiver</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00008">UniversalTemperatureSource.c:8</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_abcf789c159e76141f1e4a2faedfb749e"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#abcf789c159e76141f1e4a2faedfb749e">UniversalTemperatureSourceSettings::m_TemperatureMax</a></div><div class="ttdeci">float m_TemperatureMax</div><div class="ttdoc">min temperature you can get from the TemperatureSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00005">UniversalTemperatureSource.c:5</a></div></div>
<div class="ttc" id="aclass_universal_temperature_source_settings_html_ad1b055fe3005307718cd77b2a51e24be"><div class="ttname"><a href="../../db/d79/class_universal_temperature_source_settings.html#ad1b055fe3005307718cd77b2a51e24be">UniversalTemperatureSourceSettings::m_Parent</a></div><div class="ttdeci">EntityAI m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/ddb/_universal_temperature_source_8c_source.html#l00017">UniversalTemperatureSource.c:17</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_aad57f4c847a6ad08cf88f390961dd2db"><div class="ttname"><a href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">vector::Distance</a></div><div class="ttdeci">static proto native float Distance(vector v1, vector v2)</div><div class="ttdoc">Returns the distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_519e9aed86ddd0bdf7d619b49a62ad33.html">UniversalTemperatureSource</a></li><li class="navelem"><a class="el" href="../../da/dc0/_universal_temperature_source_lambda_base_8c.html">UniversalTemperatureSourceLambdaBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
